OOjs UI: Dialogs flow off-screen with small windows or high zoom level, leaving user without UI controls onscreen to close dialog
Closed, ResolvedPublic

Description

A user left feedback that they lost 30 mins work because they couldnt see how to close the ref dialog. They use 150% zoom.

https://en.wikipedia.org/wiki/File:Ve-ref.png


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49969
https://bugzilla.wikimedia.org/show_bug.cgi?id=51755
https://bugzilla.wikimedia.org/show_bug.cgi?id=51820

bzimport added projects: OOjs-UI, Accessibility.Via ConduitNov 22 2014, 1:58 AM
bzimport set Reference to bz52187.
jayvdb created this task.Via LegacyJul 28 2013, 11:56 AM
TheDJ added a comment.Via ConduitJul 28 2013, 1:00 PM

Relates partially to bug 49969

TheDJ added a comment.Via ConduitJul 28 2013, 1:06 PM

Modal dialogs should always be restrained to the window size. Why aren't we using jquery.ui dialogs here ? They have all these problems fixed already...

Thryduulf added a comment.Via ConduitAug 31 2013, 1:21 AM

marking with the accessibility keyword as visually impaired people frequently use high zoom levels

Jdforrester-WMF added a comment.Via ConduitJul 14 2014, 10:44 PM

Fixed in gerrit 139550.

Jdforrester-WMF moved this task to Done on the OOjs-UI workboard.Via WebThu, Mar 26, 9:03 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.